#ifndef QUEUE_HPP_INCLUDED
#define QUEUE_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "CacheableNode.hpp"

namespace Internal
{
    class Queue : public Object
    {
        public:
            Queue();
            Queue(const void* Obj);
            Queue(const Queue& Q);
            static Class GetClass();

            CacheableNode GetHead() const;

    };
}

#endif // QUEUE_HPP_INCLUDED
